SteelMill::SteelMillBranch::Choice Class Reference

Choice More...

## Public Member Functions

| Choice (const Brancher &b, unsigned int a, int pos0, int val0)
virtual void | archive (Archive &e) const
| Archive into e.
Public Member Functions inherited from Gecode::Choice
unsigned int | alternatives (void) const
| Return number of alternatives.
virtual | ~Choice (void)
| Destructor.

## Public Attributes

int | pos
| Position of variable.
int | val
| Value of variable.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Protected Member Functions inherited from Gecode::Choice
| Choice (const Brancher &b, const unsigned int a)
| Initialize for particular brancher b and alternatives a.

## Detailed Description

Choice

Definition at line 356 of file steel-mill.cpp.

## Constructor & Destructor Documentation

## Choice()

SteelMill::SteelMillBranch::Choice::Choice | ( | const Brancher & | b,
|  | unsigned int | a,
|  | int | pos0,
|  | int | val0 )

inline

Initialize choice for brancher b, number of alternatives a, position pos0, and value val0.

Definition at line 365 of file steel-mill.cpp.

## Member Function Documentation

## archive()

virtual void SteelMill::SteelMillBranch::Choice::archive | ( | Archive & | e | ) | const

inline virtual

Archive into e.

Reimplemented from Gecode::Choice.

Definition at line 368 of file steel-mill.cpp.

## Member Data Documentation

## pos

int SteelMill::SteelMillBranch::Choice::pos

Position of variable.

Definition at line 359 of file steel-mill.cpp.

## val

int SteelMill::SteelMillBranch::Choice::val

Value of variable.

Definition at line 361 of file steel-mill.cpp.

The documentation for this class was generated from the following file:

- examples/steel-mill.cpp